package com.simonstl.fragment;

import java.util.LinkedList;

/*
The contents of this file are subject to the Mozilla Public License  Version 1.1 (the "License"); you may not use this file except in  compliance with the License. You may obtain a copy of the License at 
http://www.mozilla.org/MPL/ 
Software distributed under the License is distributed on an "AS IS"  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the  License for the specific language governing rights and limitations under  the License. 

The Original Code is available at  http://simonstl.com/projects/fragment/original. 

The Initial Developer of the Original Code is Simon St.Laurent. Portions  created by Simon St.Laurent are Copyright (C) 2001. All Rights Reserved. 

Contributor(s): 
*/

/**
* <p>The BoolStack class stores a stack of Boolean vales so that the FragmentFilter
* can keep track of which elements in a generated set need fragmenting. </p>
*
*<p>Version 0.02 added the size() method.</p>
*
*
* @deprecated no longer used by FragmentFilter
* @version 0.02 3 July 2001
* @author Simon St.Laurent
*/

public class BoolStack {
     private LinkedList stack;

public BoolStack () {
     stack=new LinkedList();
}

public void push (boolean boolValue) {
     Boolean wrapBool=new Boolean(boolValue);
     stack.addLast(wrapBool);
}

public boolean pop() {
     Boolean wrapBool=(Boolean) stack.getLast();
     stack.removeLast();
     return wrapBool.booleanValue();
}

public boolean peek () {
     Boolean wrapBool=(Boolean) stack.getLast();
     return wrapBool.booleanValue();
}

public void clear() {
     stack.clear();
}

public int size() {
     return stack.size();
}

}